ChangeSet 1.1371.759.6, 2004/04/23 14:49:56-07:00, stern@rowland.harvard.edu

[PATCH] USB: Eliminate dead code from the UHCI driver

I'm not sure what this piece of code is doing in the UHCI driver.  It
looks like someone envisioned queuing several URBs for the same endpoint
simultaneously.  Anyway, the driver can't do that and this code can never
run.


 drivers/usb/host/uhci-hcd.c |   12 +-----------
 1 files changed, 1 insertion(+), 11 deletions(-)


diff -Nru a/drivers/usb/host/uhci-hcd.c b/drivers/usb/host/uhci-hcd.c
--- a/drivers/usb/host/uhci-hcd.c	Fri May 14 15:34:23 2004
+++ b/drivers/usb/host/uhci-hcd.c	Fri May 14 15:34:23 2004
@@ -332,17 +332,7 @@
 	/* Grab the last QH */
 	lqh = list_entry(skelqh->list.prev, struct uhci_qh, list);
 
-	/*
-	 * Patch this endpoint's URB's QHs to point to the next skelqh:
-	 *    skelqh --> ... lqh --> newqh --> next skelqh
-	 * Do this first, so the HC always sees the right QH after this one.
-	 */
-	list_for_each (tmp, &urbp->queue_list) {
-		struct urb_priv *turbp =
-			list_entry(tmp, struct urb_priv, queue_list);
-
-		turbp->qh->link = lqh->link;
-	}
+	/* Point to the next skelqh */
 	urbp->qh->link = lqh->link;
 	wmb();				/* Ordering is important */
 
